summaryrefslogtreecommitdiffstats
path: root/source/d/llvm
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/llvm')
-rwxr-xr-xsource/d/llvm/llvm.SlackBuild4
-rw-r--r--source/d/llvm/llvm.url28
2 files changed, 21 insertions, 11 deletions
diff --git a/source/d/llvm/llvm.SlackBuild b/source/d/llvm/llvm.SlackBuild
index a8682e354..7de731ad1 100755
--- a/source/d/llvm/llvm.SlackBuild
+++ b/source/d/llvm/llvm.SlackBuild
@@ -83,8 +83,8 @@ rm -rf $PKGNAM-${VERSION}.src $PKGNAM-${VERSION}
tar xvf $CWD/$PKGNAM-$VERSION.src.tar.xz || exit 1
cd $PKGNAM-${VERSION}/tools || cd $PKGNAM-${VERSION}.src/tools || exit 1
- tar xvf $CWD/cfe-$VERSION.src.tar.xz || exit 1
- mv cfe-${VERSION} clang 2>/dev/null || mv cfe-${VERSION}.src clang || exit 1
+ tar xvf $CWD/clang-$VERSION.src.tar.xz || exit 1
+ mv clang-${VERSION} clang 2>/dev/null || mv clang-${VERSION}.src clang || exit 1
tar xvf $CWD/lldb-$VERSION.src.tar.xz || exit 1
mv lldb-${VERSION} lldb 2>/dev/null || mv lldb-${VERSION}.src lldb || exit 1
tar xvf $CWD/lld-$VERSION.src.tar.xz || exit 1
diff --git a/source/d/llvm/llvm.url b/source/d/llvm/llvm.url
index 0f5b2ca23..19054ad41 100644
--- a/source/d/llvm/llvm.url
+++ b/source/d/llvm/llvm.url
@@ -1,9 +1,19 @@
-http://llvm.org/releases/9.0.0/llvm-9.0.0.src.tar.xz
-http://llvm.org/releases/9.0.0/cfe-9.0.0.src.tar.xz
-http://llvm.org/releases/9.0.0/clang-tools-extra-9.0.0.src.tar.xz
-http://llvm.org/releases/9.0.0/compiler-rt-9.0.0.src.tar.xz
-http://llvm.org/releases/9.0.0/lldb-9.0.0.src.tar.xz
-http://llvm.org/releases/9.0.0/openmp-9.0.0.src.tar.xz
-http://llvm.org/releases/9.0.0/libcxx-9.0.0.src.tar.xz
-http://llvm.org/releases/9.0.0/libcxxabi-9.0.0.src.tar.xz
-http://llvm.org/releases/9.0.0/lld-9.0.0.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-9.0.1/llvm-9.0.1.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-9.0.1/clang-9.0.1.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-9.0.1/clang-tools-extra-9.0.1.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-9.0.1/compiler-rt-9.0.1.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-9.0.1/lldb-9.0.1.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-9.0.1/openmp-9.0.1.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-9.0.1/libcxx-9.0.1.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-9.0.1/libcxxabi-9.0.1.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-9.0.1/lld-9.0.1.src.tar.xz
+
+#http://llvm.org/releases/9.0.1/llvm-9.0.1.src.tar.xz
+#http://llvm.org/releases/9.0.1/clang-9.0.1.src.tar.xz
+#http://llvm.org/releases/9.0.1/clang-tools-extra-9.0.1.src.tar.xz
+#http://llvm.org/releases/9.0.1/compiler-rt-9.0.1.src.tar.xz
+#http://llvm.org/releases/9.0.1/lldb-9.0.1.src.tar.xz
+#http://llvm.org/releases/9.0.1/openmp-9.0.1.src.tar.xz
+#http://llvm.org/releases/9.0.1/libcxx-9.0.1.src.tar.xz
+#http://llvm.org/releases/9.0.1/libcxxabi-9.0.1.src.tar.xz
+#http://llvm.org/releases/9.0.1/lld-9.0.1.src.tar.xz